Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.formula
Class NamePtg

    java.lang.Object
      org.apache.poi.hssf.record.formula.Ptg
          org.apache.poi.hssf.record.formula.OperandPtg
              org.apache.poi.hssf.record.formula.NamePtg

All Implemented Interfaces:
  java.lang.Cloneable, WorkbookDependentFormula

    public final class NamePtg

extends OperandPtg
implements WorkbookDependentFormula

Author:
  andy, Jason Height (jheight at chariot dot net dot au)

Field Summary
`static short` | `sid`

Fields inherited from class org.apache.poi.hssf.record.formula.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

Constructor Summary
`NamePtg(int nameIndex)`
`NamePtg(LittleEndianInput in)` Creates new NamePtg

Method Summary
`byte` | `getDefaultOperandClass()`
`int` | `getIndex()`
`int` | `getSize()`
`java.lang.String` | `toFormulaString()` return a string representation of this token alone
`java.lang.String` | `toFormulaString(FormulaRenderingWorkbook book)`
`void` | `write(LittleEndianOutput out)`

Methods inherited from class org.apache.poi.hssf.record.formula.OperandPtg
`copy, isBaseToken`

Methods inherited from class org.apache.poi.hssf.record.formula.Ptg
`createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### NamePtg

    public NamePtg(int nameIndex)

Parameters:
  `nameIndex` - zero-based index to name within workbook

### NamePtg

    public NamePtg(LittleEndianInput in)

  Creates new NamePtg

Method Detail

### getIndex

    public int getIndex()

  Returns:
    zero based index to a defined name record in the LinkTable

### write

    public void write(LittleEndianOutput out)

  Specified by:
    `write` in class `Ptg`

### getSize

    public int getSize()

  Specified by:
    `getSize` in class `Ptg`
  Returns:
    the encoded length of this Ptg, including the initial Ptg type identifier byte.

### toFormulaString

    public java.lang.String toFormulaString(FormulaRenderingWorkbook book)

  Specified by:
    `toFormulaString` in interface `WorkbookDependentFormula`

### toFormulaString

    public java.lang.String toFormulaString()

  Description copied from class: `Ptg`
  return a string representation of this token alone

  Specified by:
    `toFormulaString` in class `Ptg`

### getDefaultOperandClass

    public byte getDefaultOperandClass()

  Specified by:
    `getDefaultOperandClass` in class `Ptg`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD